View Issue Details

IDProjectCategoryView StatusLast Update
0004377mantisbtbugtrackerpublic2011-09-07 16:44
Reporterbpfennig Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status confirmedResolutionsuspended 
Summary0004377: $g_bug_submit_status should depends on user level
Description

To have a better workflow, the "bug submit status" should depends on the user level.

Additional Information

For example:

You have two groups of reporters, one group are users (access level reporter) from outside the company and the other group are testers in your one company (updaters). If a reporter (who is not so trustworthy) reports a bug, this bug should set to "new". But if an updater reports a bug, then the bug should submitted with e.g. "acknowledged".

Maybe this way: $g_bug_submit_status = array( new => REPORTER, acknowledged => UPDATER, confirmed => DEVELOPER);

TagsNo tags attached.

Relationships

child of 0004181 closed Features in Mantis 1.1 release 

Activities

thraxisp

thraxisp

2004-08-23 15:41

reporter   ~0007122

Should be doable for 0.19.1.

bpfennig

bpfennig

2004-09-24 03:33

reporter   ~0007730

Removed from CVS - postponed for 0.20

Issue History

Date Modified Username Field Change
2004-08-23 14:25 bpfennig New Issue
2004-08-23 15:41 thraxisp Note Added: 0007122
2004-08-23 15:41 thraxisp Status new => acknowledged
2004-08-23 15:42 thraxisp Relationship added child of 0004297
2004-09-21 04:53 bpfennig Assigned To => bpfennig
2004-09-21 04:53 bpfennig Status acknowledged => assigned
2004-09-22 03:53 bpfennig Status assigned => resolved
2004-09-22 03:53 bpfennig Fixed in Version => 0.19.1
2004-09-22 03:53 bpfennig Resolution open => fixed
2004-09-24 03:33 bpfennig Note Added: 0007730
2004-09-24 03:33 bpfennig Status resolved => confirmed
2004-09-24 03:33 bpfennig Resolution fixed => suspended
2004-09-24 03:34 bpfennig Relationship added child of 0004181
2004-09-24 03:34 bpfennig Relationship deleted parent of 0004297
2009-06-13 04:06 siebrand Assigned To bpfennig =>
2011-09-07 16:44 atrol Fixed in Version 0.19.1 =>